com.hazelcast.util

## Interface IConcurrentMap<K,V>

- Type Parameters:
    `K` - the type of keys maintained by this map
    `V` - the type of mapped values
  All Superinterfaces:
    ConcurrentMap<K,V>, Map<K,V>
  All Known Implementing Classes:
    ConcurrentReferenceHashMap, SampleableConcurrentHashMap

      public interface IConcurrentMap<K,V>
      extends ConcurrentMap<K,V>

  A `ConcurrentMap` with applyIfAbsent function.

  Memory consistency effects: As with other concurrent collections, actions in a thread prior to placing an object into a `ConcurrentMap` as a key or value happen-before actions subsequent to the access or removal of that object from the `ConcurrentMap` in another thread.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `applyIfAbsent(K key, IFunction<? super K,? extends V> mappingFunction)`
    `V` | `applyIfPresent(K key, IBiFunction<? super K,? super V,? extends V> mappingFunction)`

    - ### Methods inherited from interface java.util.concurrent.ConcurrentMap

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Method Detail

    - #### applyIfAbsent

          V applyIfAbsent(K key,
                          IFunction<? super K,? extends V> mappingFunction)

      Throws:
        `UnsupportedOperationException`
        `ClassCastException`
        `NullPointerException`

    - #### applyIfPresent

          V applyIfPresent(K key,
                           IBiFunction<? super K,? super V,? extends V> mappingFunction)

      Throws:
        `UnsupportedOperationException`
        `ClassCastException`
        `NullPointerException`

Copyright © 2019. All rights reserved.